# Copyright (C) 2019 Fred Bednarski
# This file is released under the Creative Commons Attribution license (CC-BY).
# Go to https://creativecommons.org/licenses/by/4.0/ for the full license details.

import upygame as pygame

# Frogitto picture frames
frogitto_w = 8
frogitto_h = 8
frogittoPixels_f1 = b'\
\x00\x00\x00\x00\
\x00\xFC\xCF\x00\
\x70\xCC\xC7\x07\
\x77\xCE\xE7\x77\
\x00\xCE\xC7\x00\
\x0C\xC7\x77\x70\
\x0C\x00\x00\x70\
\x00\x00\x00\x00\
'
frogittoSurf_f1 = pygame.surface.Surface(frogitto_w, frogitto_h, frogittoPixels_f1)
frogittoPixels_f2 = b'\
\x70\x0C\xC0\x07\
\x07\xCC\xC7\x70\
\x00\xCE\xE7\x00\
\x00\xCE\xC7\x00\
\x00\xC7\x77\x00\
\x00\xC0\x07\x00\
\x00\x0C\x70\x00\
\x00\x0C\x70\x00\
'

frogittoSurf_f2 = pygame.surface.Surface(frogitto_w, frogitto_h, frogittoPixels_f2)
frogittoPixels_f3 = b'\
\x00\x00\x00\x00\
\x70\xFC\xCF\x07\
\x07\xCC\xC7\x70\
\x00\xCE\xE7\x00\
\x00\xCE\xC7\x00\
\x0C\xC7\x77\x70\
\x0C\x00\x00\x70\
\x00\x00\x00\x00\
'
frogittoSurf_f3 = pygame.surface.Surface(frogitto_w, frogitto_h, frogittoPixels_f3)

# Blue car sprite frames
w = 16
h = 8
bluecarPixels_f1 = b'\
\x00\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x09\x55\x55\x55\x00\x00\
\x00\x05\x59\x55\x55\x55\xD0\x00\
\xE5\x55\x55\xFF\x9F\xFD\x55\x00\
\x55\x99\x9F\xFD\x9F\xDD\x99\x00\
\xE9\x55\x99\x99\x99\x55\x99\x00\
\x95\xBD\x59\x99\x95\xBD\x50\x00\
\x00\xDB\x00\x00\x00\xDB\x00\x00\
'
bluecarSurf_f1 = pygame.surface.Surface(w, h, bluecarPixels_f1)

bluecarPixels_f2 = b'\
\x00\x00\x09\x55\x55\x55\x00\x00\
\x00\x05\x59\x55\x55\x55\xD0\x00\
\xE5\x55\x55\xFF\x9F\xFD\x55\x00\
\x55\x99\x9F\xFD\x9F\xDD\x99\x00\
\xE9\x55\x99\x99\x99\x55\x99\x00\
\x95\x11\x59\x99\x95\x11\x50\x00\
\x00\xDB\x00\x00\x00\xDB\x00\x00\
\x00\xBD\x00\x00\x00\xBD\x00\x00\
'
bluecarSurf_f2 = pygame.surface.Surface(w, h, bluecarPixels_f2)

# Red car sprite frames
w = 16
h = 8
redcarPixels_f1 = b'\
\x00\x00\x00\x00\x00\x00\x00\x00\
\x00\x00\x84\x44\x44\x40\x00\x00\
\x00\x44\x84\x44\x44\x44\x00\x00\
\xE4\x44\x4F\xF8\xFF\xD8\x20\x00\
\x44\x88\x8F\xD8\xFD\xD8\x20\x00\
\xE8\x44\x88\x88\x84\x48\x20\x00\
\x44\xBD\x44\x44\x4B\xD4\x00\x00\
\x02\xDB\x20\x00\x2D\xB2\x00\x00\
'
redcarSurf_f1 = pygame.surface.Surface(w, h, redcarPixels_f1)

redcarPixels_f2 = b'\
\x00\x00\x84\x44\x44\x40\x00\x00\
\x00\x44\x84\x44\x44\x44\x00\x00\
\xE4\x44\x4F\xF8\xFF\xD8\x00\x00\
\x44\x88\x8F\xD8\xFD\xD8\x20\x00\
\xE8\x44\x88\x88\x84\x48\x20\x00\
\x84\x22\x44\x44\x42\x24\x20\x00\
\x02\xDB\x20\x00\x2D\xB2\x00\x00\
\x00\xBD\x00\x00\x0B\xD0\x00\x00\
'
redcarSurf_f2 = pygame.surface.Surface(w, h, redcarPixels_f2)

